org.modeshape.jcr.query.plan

## Class PlanUtil.RequiredColumnVisitor

- java.lang.Object
- - org.modeshape.jcr.query.model.Visitors.AbstractVisitor
  - - org.modeshape.jcr.query.plan.PlanUtil.RequiredColumnVisitor

- All Implemented Interfaces:
    Visitor
  Enclosing class:
    PlanUtil

      public static class PlanUtil.RequiredColumnVisitor
      extends Visitors.AbstractVisitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlanUtil.RequiredColumnVisitor(Set<SelectorName> names)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Column>` | `getRequiredColumns()` Get the columns that are required.
    `protected void` | `requireColumn(SelectorName selector, String propertyName)`
    `protected void` | `requireColumn(SelectorName selector, String propertyName, String alias)`
    `void` | `visit(Column column)`
    `void` | `visit(EquiJoinCondition condition)`
    `void` | `visit(PropertyExistence existence)`
    `void` | `visit(PropertyValue value)`
    `void` | `visit(ReferenceValue value)`

    - ### Methods inherited from class org.modeshape.jcr.query.model.Visitors.AbstractVisitor

      `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlanUtil.RequiredColumnVisitor

          public PlanUtil.RequiredColumnVisitor(Set<SelectorName> names)

  - ### Method Detail

    - #### visit

          public void visit(PropertyExistence existence)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(PropertyValue value)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(ReferenceValue value)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(EquiJoinCondition condition)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### visit

          public void visit(Column column)

      Specified by:
        `visit` in interface `Visitor`
      Overrides:
        `visit` in class `Visitors.AbstractVisitor`

    - #### requireColumn

          protected void requireColumn(SelectorName selector,
                           String propertyName)

    - #### requireColumn

          protected void requireColumn(SelectorName selector,
                           String propertyName,
                           String alias)

    - #### getRequiredColumns

          public List<Column> getRequiredColumns()

      Get the columns that are required.
      Returns:
        the columns; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.